
#define _C_aff_ordre_3

/*
 * ----------------------------------------------------------------------------
 *
 * Fichier	: aff_ordre_3.c
 * Langage	: C ANSI
 * Auteur	: F. Boyer
 * Creation	: 25 aout 1997
 * ----------------------------------------------------------------------------
 * Description	:
 *	Programme affichant en ordre trois valeurs entieres
 *      saisies interactivement.
 * ----------------------------------------------------------------------------
 * Interventions
 * >>>>>>>>>>>>>
 * ----------------------------------------------------------------------------
 * Fonctions definies
 * Locales	: 
 * Exportees	: main.
 *
 * ----------------------------------------------------------------------------
 */

/****************************************************************************/
/*------------------- INCLUSION DES INTERFACES SYSTEMES --------------------*/
/****************************************************************************/
#include <stdio.h>

/****************************************************************************/
/*----------------- INCLUSION DES INTERFACES APPLICATIVES ------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- CONSTANTES, MACROS & TYPES LOCAUX --------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- SIGNATURES DES FONCTIONS LOCALES ---------------------*/
/****************************************************************************/
static void aff_chaine(char *);
static long lire_ent();
static void aff_ent(long);
static void aff_ordre_2(long,long);
static void aff_ordre_3(long,long,long);

/****************************************************************************/
/*------------------- DEFINITIONS DES VARIABLES LOCALES --------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- IMPLANTATION DES FONCTIONS LOCALES -------------------*/
/****************************************************************************/
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: aff_chaine
 * Resultat	: void		Aucun.
 * Parametres	:
 * Nom		Type		Role
 * ch           char *          la chaine a afficher
 * Description	:
 * affiche ch a l'ecran
 * ----------------------------------------------------------------------------
 */
static  void aff_chaine(
	char * ch)
 	{
	printf(ch);
 	}
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: aff_ent
 * Resultat	: void	
 * Parametres	:
 * Nom		Type		Role
 * ent          long            l'entier a afficher
 * Description	:
 * affiche ent a l'ecran
 * ----------------------------------------------------------------------------
 */
 static void aff_ent(
	long ent)
{
	printf("%ld", ent);
 }
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: lire_ent
 * Resultat	: long
 * Parametres	:
 * Nom		Type		Role
 * Description	:
 * affiche un message demandant a l'utilisateur de saisir un entier.
 * retourne l'entier saisi.
 * ----------------------------------------------------------------------------
 */
 static long lire_ent(
	void)
 {
  	long ent;

	printf("Tapez un entier :");
	fflush(stdin);
	scanf("%ld", &ent);
	return(ent);
 }       


/*
 * ----------------------------------------------------------------------------
 *
 * Fonction     : aff_ordre_2
 * Resultat     :void 
 * Parametres   :
 * Nom          Type            Role
 * v1           long           
 * v2           long
 * Description  :
 * Affiche les entiers v1 et v2 selon l'ordre croissant de leur valeur
 * ----------------------------------------------------------------------------
 */

/* A COMPLETER */

/*
 * ----------------------------------------------------------------------------
 *
 * Fonction     : aff_ordre_3
 * Resultat     :void 
 * Parametres   :
 * Nom          Type            Role
 * v1           long           
 * v2           long
 * v3           long
 * Description  :
 * Affiche les entiers v1, v2 et v3 selon l'ordre croissant de leur valeur
 * ----------------------------------------------------------------------------
 */

/* A COMPLETER */

/****************************************************************************/
/*------------------ IMPLANTATION DES FONCTIONS EXPORTEES ------------------*/
/****************************************************************************/

/*
 * ----------------------------------------------------------------------------
 *
 * Fonction	: main
 * Resultat	: 		Code d'erreur commande.
 * Parametres	:
 * Nom		Type		Role
 *
 * Description	:
 *  Point d'entree du programme "aff_ordre_3" obtenu par compilation du fichier
 * "aff_ordre_3.c" (gcc -o aff_ordre_3 aff_ordre_3.c).
 *
 * ----------------------------------------------------------------------------
 */


/* A COMPLETER */
